SDL_SetWindowOpacity(3)

NAME
SDL_SetWindowOpacity - Set the opacity for a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowOpacity(SDL_Window *window, float opacity);

DESCRIPTION
The parameter opacity will be clamped internally between 0.0f (transparent) and 1.0f (opaque). This function also returns -1 if setting the opacity isn't supported.

FUNCTION PARAMETERS

window
    the window which will be made transparent or opaque

opacity
    the opacity value (0.0f - transparent, 1.0f - opaque)

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowOpacity(3)